/* Christoph Pickl - Java Student User Group - jsug.fsinf.at
   Licensed under the Creative Commons Attribution-Share Alike 2.0. */
package {

import mx.collections.ArrayCollection;
import mx.controls.Alert;
import mx.rpc.events.FaultEvent;
import mx.rpc.events.ResultEvent;
import mx.rpc.remoting.RemoteObject;

/*
<mx:RemoteObject id="personService" destination="personService" showBusyCursor="true">
	<mx:method name="selectAllPersons" result="onPersonsResult(event)" fault="onPersonsFault(event)" />
</mx:RemoteObject>
*/
public dynamic class PersonService extends RemoteObject {
	
	public function PersonService() {
		this.destination = "personService";
		this.addEventListener(ResultEvent.RESULT, this.onResult);
		this.addEventListener(FaultEvent.FAULT, this.onFault);
	}
	
	public function doSelectAllPersons(): void {
		this.selectAllPersons();
	}
	
	private function onResult(event: ResultEvent): void {
		Model.instance.persons = event.result as ArrayCollection;
	}
	
	private function onFault(event: FaultEvent): void {
		Alert.show(String(event.message), "Person Service Error");
	}

}
}